---
search:
  tags:
    - Volume Discounts
    - PUT
seo:
  description: >-
    Updates an existing volume discount. Reference for the PUT
    /volume_discounts/{id} endpoint in the Bolder API v2.
sidebar:
  label: Update a volume discount
  badge: PUT
title: Update a volume discount
type: openapi-operation
---
Updates an existing volume discount.

`PUT /volume_discounts/{id}`

**Request body** (`application/json`, required)

- `shop_id` (integer, required) — ID of the shop to create the volume discount in
- `name` (string, required)
- `discount_type` (string) — Discount type.
- `cumulative_mode` (string) — Omit for non-cumulative
- `apply_on_tier_start_only` (boolean)
- `tiers` (object[], required)

Request body example:

```json
{
  "tiers": [
    {
      "from": 5,
      "value": 15
    }
  ]
}
```

**Responses**

- `200` — Volume discount updated
- `404` — Volume discount not found

Response example, 200:

```json
{
  "id": 30,
  "tiers": {
    "5": 15
  },
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/volume_discounts/30"
    }
  }
}
```
